#
# spec file for package python3-html2text
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-html2text
Version:        2015.6.21
Release:        4.3
Url:            https://github.com/Alir3z4/html2text/
Summary:        Turn HTML into equivalent Markdown-structured text
License:        GPL-3.0
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/h/html2text/html2text-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildArch:      noarch

%description
html2text is a Python script that converts a page of HTML into clean,
easy-to-read plain ASCII text. Better yet, that ASCII also happens to
be valid Markdown (a text-to-HTML format).


%prep
%setup -q -n html2text-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
mv %{buildroot}%{_bindir}/html2text %{buildroot}%{_bindir}/html2text-python%{py3_ver}

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/html2text-python%{py3_ver}
%{python3_sitelib}/*

%changelog
* Tue Jun 30 2015 arun@gmx.de
- update to version 2015.6.21:
  * Fix #31: HTML entities stay inside link.
  * Fix #71: Coverage detects command line tests.
  * Fix #39: Documentation update.
  * Fix #61: Functionality added for optional use of automatic links.
  * Feature #80: title attribute is preserved in both inline and
    reference links.
  * Feature #82: More command line options. See docs.
* Mon Jun 15 2015 arun@gmx.de
- update to version 2015.6.12:
  * Feature #76: Making pre blocks clearer for further automatic
    formatting.
  * Fix #71: Coverage detects tests carried out in subprocesses
* Fri Jun  5 2015 arun@gmx.de
- update to version 2015.6.6:
  * Fix #24: 3.200.3 vs 2014.7.3 output quirks.
  * Fix #61. Malformed links in markdown output.
  * Feature #62: Automatic version number.
  * Fix #63: Nested code, anchor bug.
  * Fix #64: Proper handling of anchors with content that starts with
    tags.
  * Feature #67: Documentation all over the module.
  * Feature #70: Adding tests for the module.
  * Fix #73: Typo in config documentation.
* Tue Apr 14 2015 arun@gmx.de
- update to version 2015.4.14:
  * Feature #59: Write image tags with height and width attrs as raw html to retain dimensions
* Tue Apr 14 2015 arun@gmx.de
- update to version 2015.4.13:
  * Feature #56: Treat '-' file parameter as stdin.
  * Feature #57: Retain escaping of html except within code or pre
    tags.
* Fri Feb 20 2015 arun@gmx.de
- update to version 2015.2.18:
  * Fix #38: Anchor tags with empty text or with <img> tags inside are no longer stripped.
* Mon Jan  5 2015 arun@gmx.de
- specfile: update copyright year
- update to version 2014.12.29:
  * Feature #51: Add single line break option.  This feature is useful
    for ensuring that lots of extra line breaks do not end up in the
    resulting Markdown file in situations like Evernote .enex
    exports. Note that this only works properly if body-width is set
    to 0.
- changes from version 2014.12.24:
  * Feature #49: Added a images_to_alt option to discard images and keep only their alt.
  * Feature #50: Protect links, surrounding them with angle brackets to avoid breaking...
  * Feature: Add setup.cfg file.
* Tue Dec 16 2014 arun@gmx.de
- specfile:
  * updated copyright year
  * updated url
  * added pypi source link
  * stwiched to setuptools from distribute
- update to version 2014.12.5:
  * Feature: Update `README.md` with usage examples.
  * Fix #35: Remove `py_modules` from `setup.py`.
  * Fix #36: Excludes tests from being installed as a separate module.
  * Fix #37: Don't hardcode the path to the installed binary.
  * Fix: Readme typo in running cli.
  * Feature #40: Extract cli part to "cli" module.
  * Feature #42: Bring python version compatibility to "compat.py" module.
  * Feature #41: Extract utility/helper methods to "utils" module.
  * Fix #45: Does not accept standard input when running under Python 3.
  * Feature: Clean up "ChangeLog.rst" for version and date numbers.
- changes from version 2014.9.25:
  * Feature #29, #27: Add simple table support with bypass option.
  * Fix #20: Replace project website with: http://alir3z4.github.io/html2text/ .
- changes from version 2014.9.8:
  * Fix #28: missing "html2text" package in installation.
- changes from version 2014.9.7:
  * Fix "unicode"/"type" error in memory leak unit-test.
  * Feature #16: Remove "install_deps.py".
  * Feature #17: Add status badges via pypin.
  * Feature #18: Add "Python" "3.4" to travis config file.
  * Feature #19: Bring "html2text" to a separate module and take out the "conf"/"constant" variables.
  * Feature #21: Remove meta vars from "html2text.py" file header.
  * Fix: Fix TypeError when parsing tags like <img src='foo' alt>. Fixed in #25.
- changes from version 2014.7.3:
  * Fix #8: Remove "How to do a release" section from README.md.
  * Fix #11: Include test directory markdown, html files.
  * Fix #13:  memory leak in using "handle" while keeping the old instance of "html2text".
- changes from version 2014.4.5:
  * Fix #1: Add "ChangeLog.rst" file.
  * Fix #2: Add "AUTHORS.rst" file.
* Sun Mar  3 2013 arun@gmx.de
- renamed html2text to html2text-python%%{py3_ver}
* Sun Mar  3 2013 arun@gmx.de
- added python3 spec file and removed some "if"s for older
  opensuse versions
* Sat Jan  7 2012 alexandre@exatati.com.br
- Update to 3.200.3:
  - Sorry, no changelog atm.
* Fri Jan  6 2012 alexandre@exatati.com.br
- Update to 3.200.2:
  - Sorry, no changelog atm.
* Wed Dec 21 2011 alexandre@exatati.com.br
- Update to 3.200.1:
  - Sorry, no changelog atm.
* Wed Dec 21 2011 alexandre@exatati.com.br
- Update to 3.200:
  - Sorry, no changelog atm.
* Thu Nov 24 2011 alexandre@exatati.com.br
- COPYING file on tarball, not outside it.
* Thu Nov 24 2011 saschpe@suse.de
- Fix bnc#732039, add a COPYING file and set license to SDPX style
  (GPL-3.0)
* Wed Nov  9 2011 alexandre@exatati.com.br
- Update to 3.101:
  - Sorry, no changelog atm.
- Regenerate spec file with py2pack;
- Bzip2 source code.
* Wed Sep 21 2011 saschpe@suse.de
- Update to version 3.02:
  * Upstream provides no changes
- BuildRequire more modern python-distribute instead of python-setuptools
- Fixed non-executable script rpmlint warning
* Tue Feb 15 2011 alexandre@exatati.com.br
- Update to 3.01.
* Tue Dec 21 2010 alexandre@exatati.com.br
- Initial package (2.38) for openSUSE generated with py2pack.
